### Method

# FwupdPlugin Backend load

since: 1.8.5

#### Declaration [src]

    gboolean
    fu_backend_load (
      FuBackend* self,
      JsonObject* json_object,
      const gchar* tag,
      FuBackendLoadFlags flags,
      GError** error
    )

#### Description [src]

Loads the backend from a JSON object.

Available since: 1.8.5

#### Parameters

`json_object`

  Type: `JsonObject`

  A `JsonObject`.

  The data is owned by the caller of the method.

`tag`

  Type: `const gchar*`

  A string backend tag, or `NULL`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `FuBackendLoadFlags`

  %FuBackendLoadFlags, typically `FU_BACKEND_LOAD_FLAG_NONE`

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.